## git2cl 2.0+git20120920

=== debian/changelog ===
git2cl (1:2.0+git20120920-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - In Build-Depends field, bumped level to 13.
      - Bumped Standards-Version to 4.5.0.
      - Set Rules-Requires-Root:no.
      - Updated the field 'Vcs-Browser' and field 'Vcs-git' removed.
      - Fix Multi Arch field.
  * debian/copyright: updated the packaging copyright years.
  * debian/upstream/metadata: Created.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Fri, 19 Jun 2020 16:22:29 -0300

git2cl (1:2.0+git20120920-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #851816)
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/control:
    - bumped Standards-Version to 4.4.0.
    - updated Vcs-Browser with https link.
  * debian/copyright:
    - added new debian contributor in copyright info.
    - removed duplicated copyright info.
    - updated Format with https link.
    - updated Source with a working link.
  * debian/rules:
    - included pkg-info.mk to access DEB_VERSION variable.
    - fixed incorrect version detection logic.
    - removed comment with non-functional uscan logic.
    - removed useless builddeb override.
    - updated repository with a working link.
  * debian/source/options: removed.
  * debian/tests/*:
    - control: added to check if output is correct.
    - git-log-sample.txt: added as sample input.
    - output-sample.txt: added as sample output.
  * debian/watch:
    - bumped version to 4.
    - added a fake site to explain about the current status
      of the original upstream homepage.

 -- Giuliano Augusto Faulin Belinassi <giuliano.belinassi@gmail.com>  Fri, 19 Jul 2019 11:34:15 -0300

git2cl (1:2.0+git20120920-1) unstable; urgency=low

  * New upstream revision.
  * Dropped all patches (applied-upstream).
  * Re-written get-orig-source; updated URL of upstream repository.
  * Binary package compression to "xz".
  * Updated VCS links; repository moved to collab-maint.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 19:19:26 +1000

git2cl (2.0+git200808271242-2) unstable; urgency=low

  * Added new patch to introduce POD documentation to git2cl executable:
    best practice recommend providing embedded docs viewable with perldoc.
  * Changed man page generation from standalone markdown file with pandoc
    to pod2man producing man page from embedded documentation.
    This fixed "hyphen-used-as-minus-sign" (Closes: #672111).
  * Updated homepage and upstream source URLs.
  * Build-Depends:
    - dropped "pandoc".
    + added "perl-doc" (used to pre-validate embedded POD documentation).
  * Debhelper & compat to version 9.
  * Standards to 3.9.4.
  * Debian source compression to xz.
  * debian/copyright:
    + to copyright-format-1.0.
    + minor update to copyright year.
    - removed '©' characters (not needed according to specification).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 19 Sep 2012 15:57:33 +1000

git2cl (2.0+git200808271242-1) unstable; urgency=low

  * Initial release. (Closes: #591090 ITP)
    Thanks to Paul Wise <pabs@debian.org>

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 26 Nov 2011 13:31:44 +1100
