=== debian/control ===
Source: git2cl
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), perl, perl-doc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://savannah.nongnu.org/projects/git2cl
Vcs-Browser: https://savannah.nongnu.org/cvs/?group=git2cl

Package: git2cl
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Enhances: git
Section: vcs
Description: Simple tool to convert git logs to GNU ChangeLog format
 git2cl is used to automatically generate GNU ChangeLogs
 from git logs.
 .
 GNU ChangeLog format specification is available from:
 http://www.gnu.org/prep/standards/html_node/Change-Logs.html
