## git2cl 2.0+git200808271242

=== debian/control ===
Source: git2cl
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9), perl, perl-doc
Standards-Version: 3.9.4
Homepage: https://savannah.nongnu.org/projects/git2cl
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob-guest/git2cl.git
VCS-Git: git://anonscm.debian.org/users/onlyjob-guest/git2cl.git

Package: git2cl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Enhances: git
Section: vcs
Description: Simple tool to convert git logs to GNU ChangeLog format
 git2cl is used to automatically generate GNU ChangeLogs
 from git logs.
 .
 GNU ChangeLog format specification is available from:
 http://www.gnu.org/prep/standards/html_node/Change-Logs.html
