## git2cl 3.0

=== debian/changelog ===
git2cl (1:3.0-3) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Aug 2025 20:52:40 +0200

git2cl (1:3.0-2) unstable; urgency=medium

  * Use wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 19 Mar 2025 00:39:07 +0100

git2cl (1:3.0-1) unstable; urgency=medium

  * New upstream version 3.0.
    - Default to UTF8.  Closes: #1084793.
    - Fix stdin reading.  Closes: #697475.
  * Add d/salsa-ci.yml.
  * Add upstream/signing-key.asc.
  * Fix watch file URL.
  * Adopt package.  Closes: #851816.
  * copyright: Bump to GPLv3+.
  * Ship README.md not README.
  * Drop get-orig-source hack.
  * Cleanup rules dropping old workarounds.
  * Add Petter to debian/* copyright.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Oct 2024 16:05:28 +0200

git2cl (1:2.0+git20120920-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 2.0+git200808271242-1.
  * Updated vcs in d/control to Salsa.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jun 2024 23:55:52 +0200
