=== debian/control ===
Source: git2cl
Section: utils
Priority: optional
Maintainer: Simon Josefsson <simon@josefsson.org>
Build-Depends:
 debhelper-compat (= 13),
 perl,
 perl-doc,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://savannah.nongnu.org/projects/git2cl
Vcs-Browser: https://salsa.debian.org/debian/git2cl
Vcs-Git: https://salsa.debian.org/debian/git2cl.git

Package: git2cl
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
Enhances:
 git,
Section: vcs
Description: Simple tool to convert git logs to GNU ChangeLog format
 git2cl is used to automatically generate GNU ChangeLogs
 from git logs.
 .
 GNU ChangeLog format specification is available from:
 http://www.gnu.org/prep/standards/html_node/Change-Logs.html
