=== debian/rules ===
#!/usr/bin/make -f

MANPAGE := debian/git2cl.1
$(MANPAGE):
	perldoc -o checker git2cl
	pod2man -s1 --stderr --utf8 git2cl $(MANPAGE)

%:
	dh $@

override_dh_clean:
	dh_clean $(MANPAGE)

override_dh_auto_build: $(MANPAGE)
