=== debian/tests/control ===
Test-Command: cat debian/tests/git-log-sample.txt |
              git2cl > /tmp/output.txt &&
              cmp debian/tests/output-sample.txt /tmp/output.txt
