=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://gitlab.com/jas/git2cl.git refs/tags/git2cl-([\d\.]+)
